Get an ad group
const url = 'https://ads.wortise.com/api/public/v1/ad-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://ads.wortise.com/api/public/v1/ad-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Reads one ad group of the organization.
Requires the campaigns:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Ad group UUID.
Responses
Section titled “Responses”The ad group.
object
Restricts every creative in this ad group to a single format
object
object
object
Only explicitly requested targeting exclusions.
object
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
Slice of the campaign budget assigned to this ad group, in local currency
Ref to campaigns collection
object
Budget in the campaign currency
Currency ISO 4217. E.g. USD, EUR. A draft saved without it takes the currency of the account that saves it, else USD.
Impressions per user (“max”) within a rolling window (“expiration”, in seconds)
object
Ad group ID in ADS service
Impressions (CPM) or clicks (CPC) its budget allocation buys at its unit price
Unit price in local currency (CPM/CPC) for creatives in this ad group
Destination URL (redirect)
object
Example
{ "adFormat": "banner", "audience": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "not": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "isDraft": true, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "campaign": { "currency": "BRL" }, "order": 0, "status": "enabled"}The API key is missing, invalid, disabled or expired.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key lacks the scope, or its owner lacks the dashboard permission.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The resource does not exist in the organization of the API key.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key exceeded its rate limit; retry after the Retry-After seconds.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}Headers
Section titled “Headers”Seconds to wait before retrying.
Unexpected server error.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}© 2026 Wortise. All rights reserved.